package com.wee0.flutter.bluetooth_helper;

import android.bluetooth.BluetoothGattCharacteristic;
import android.bluetooth.BluetoothGattService;
import android.util.Log;

import java.util.List;

/**
 * 日志统一处理
 */
final class MyLog {

    private static final String _LOG_CATALOG = "BluetoothHelper";

    /**
     * 输出调试信息
     *
     * @param msg 信息
     */
    static void debug(String msg) {
        Log.d(_LOG_CATALOG, msg);
    }

    static void print(BluetoothGattService gattService) {
        StringBuilder _builder = new StringBuilder();
        _builder.append("uuid: ").append(gattService.getUuid());
        _builder.append(",type: ").append(gattService.getType());
        _builder.append(",isPrimary: ").append(BluetoothGattService.SERVICE_TYPE_PRIMARY == gattService.getType());
        _builder.append(",instanceId: ").append(gattService.getInstanceId());
        _builder.append(",instance: ").append(gattService);
        Log.d(_LOG_CATALOG, _builder.toString());
    }

    static void print(BluetoothGattCharacteristic characteristic) {
        StringBuilder _builder = new StringBuilder();
        _builder.append("uuid: ").append(characteristic.getUuid());
        _builder.append("value: ").append(characteristic.getValue());
        _builder.append(",describeContents: ").append(characteristic.describeContents());
        _builder.append(",properties: ").append(characteristic.getProperties());
        _builder.append(",permissions: ").append(characteristic.getPermissions());
        _builder.append(",descriptors: ").append(characteristic.getDescriptors());
        _builder.append(",instanceId: ").append(characteristic.getInstanceId());
        _builder.append(",instance: ").append(characteristic);
        Log.d(_LOG_CATALOG, _builder.toString());
    }
}
