import 'dart:async';

import 'package:flutter/services.dart';

class BluetoothHelper {
  BluetoothHelper._internal() {
    print("BluetoothHelper init...");
    _channel.setMethodCallHandler((MethodCall call) {
      print("call:$call");
      switch (call.method) {
        case "onReceiveData":
          print("onReceiveData: ${call.arguments}");
          break;
        default:
          print("unknow method: ${call.method}");
          break;
      }
      return null;
    });
  }

  factory BluetoothHelper() => _me;

  static final BluetoothHelper _me = new BluetoothHelper._internal();

  static BluetoothHelper get me => _me;

  static const MethodChannel _channel = const MethodChannel('bluetooth_helper');

  Future<String> scan() async {
    final String _result = await _channel.invokeMethod("scan");
    return _result;
  }

  Future<String> connect(String deviceId) async {
    final String _result = await _channel.invokeMethod("connect", deviceId);
    return _result;
  }

  Future<String> disconnect(String deviceId) async {
    final String _result = await _channel.invokeMethod("disconnect", deviceId);
    return _result;
  }

  Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  Future<String> get check async {
    final String _result = await _channel.invokeMethod('check');
    return _result;
  }

  Future<String> get test async {
    final String _result = await _channel.invokeMethod('test');
    return _result;
  }
}
